*
*  PERF17.PRG
*  INSERT INTO vs APPEND BLANK/REPLACE 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL 
copy to PERF17 with cdx
use PERF17

start = seconds()
FOR xx = 1 to 20
  append blank
  replace ba_id with padl(5000+xx,4,"0"), ;
          ba_lname with "Last Name", ;
          ba_fname with "First Name", ;
          ba_pmtmeth with "C", ;
          ba_balance with xx, ;
          ba_repo with .t., ;
          ba_duedate with date()+xx
ENDFOR
@ 1,2 say "APPE BLANK/REPL:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFBAL 
copy to PERF17 with cdx
use PERF17

start = seconds()
FOR xx = 1 to 20
  m.ba_id = padl(5000+xx,4,"0") 
  m.ba_lname = "Last Name" 
  m.ba_fname = "First Name" 
  m.ba_pmtmeth = "C" 
  m.ba_balance = xx 
  m.ba_repo = .t.
  m.ba_duedate = date()+xx
  insert into PERF17 from memvar
ENDFOR
@ 5,2 say "INSERT INTO:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
erase perf17.dbf
erase perf17.cdx
return