*
*  PERF23.PRG
*  Limit function calls in index tag expressions
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL
copy to PERF23
start = seconds()
FOR xx = 1 to 10
  use PERF23 exclusive
  index on upper(ba_lname) + upper(ba_fname) tag ba_name
  use
ENDFOR
@ 1,2 say "2 functions:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFBAL
copy to PERF23
start = seconds()
FOR xx = 1 to 10
  use PERF23 exclusive
  index on upper(ba_lname+ba_fname) tag ba_name
  use
ENDFOR
@ 5,2 say "1 function:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all

erase PERF23.DBF
erase PERF23.CDX 

return 