*
*  PERF25.PRG
*  USE..NOUPDATE 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL in 0 

start = seconds()
FOR xx = 1 to 10 
  SCAN FOR ba_state = "CA"
    yy = xx
  ENDSCAN
ENDFOR
@ 1,2 say "SCAN..ENDSCAN:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 10
  SELECT ba_state ;
      FROM perfbal ;
      GROUP BY ba_state ;
      INTO CURSOR PERF25
ENDFOR
@ 5,2 say "SELECT:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

use in PERFBAL
use PERFBAL in 0 noupdate

start = seconds()
FOR xx = 1 to 10 
  SCAN FOR ba_state = "CA"
    yy = xx
  ENDSCAN
ENDFOR
@ 10,2 say "SCAN..ENDSCAN:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

start = seconds()
FOR xx = 1 to 10
  SELECT ba_state ;
      FROM perfbal ;
      GROUP BY ba_state ;
      INTO CURSOR PERF25
ENDFOR
@ 14,2 say "SELECT:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return
 