*
*  PERF13.PRG
*  optimization and with the == operator 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL
start = seconds()
FOR xx = 1 to 100
  count for ba_state == "CA"
ENDFOR
?? _tally
@ 1,2 say "COUNT..==:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 100
  count for ba_state = "CA"
ENDFOR
?? _tally
@ 5,2 say "COUNT..=:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

start = seconds()
SELECT * FROM PERFBAL ;
     WHERE ba_state == "CA" ;
     INTO CURSOR PERF13
?? _tally
@ 9,2 say "SELECT..==:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,128,0,255,255,255)
     
start = seconds()
SELECT * FROM PERFBAL ;
     WHERE ba_state = "CA" ;
     INTO CURSOR PERF13
?? _tally
@ 13,2 say "SELECT..=:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,128,255,255,255)

clear all
return