*
*  PERF14.PRG
*  SQL without/with the involved tables already open
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

start = seconds()
SELECT * FROM PERFBAL, PERFPAY ;
     WHERE py_id_ = ba_id ;
     AND ba_state == "CA" ;
     INTO CURSOR PERF14
@ 1,2 say "CLOSED:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

* tables are now open

start = seconds()
SELECT * FROM PERFBAL, PERFPAY ;
     WHERE py_id_ = ba_id ;
     AND ba_state == "CA" ;
     INTO CURSOR PERF14
@ 5,2 say "OPEN:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)


clear all
return