*
*  PERF26.PRG
*  Macro substitution vs direct reference for resetting the environment
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear

set exact off
set deleted off
set near off
set talk off
set safety off

lcExact   = set("EXACT")
lcDeleted = set("DELETED")
lcNear    = set("NEAR")
lcTalk    = set("TALK")
lcSafety  = set("SAFETY")

set exact on
set deleted on
set near on
set talk on
set safety on

start = seconds()
set exact &lcExact
set deleted &lcDeleted
set near &lcNear
set talk &lcTalk
set safety &lcSafety
@ 1,2 say "Macro sub:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
IF lcExact = "OFF"
  set exact off
ENDIF
IF lcDeleted = "OFF"
  set deleted off
ENDIF
IF lcNear = "OFF"
  set near off
ENDIF
IF lcTalk = "OFF"
  set talk off
ENDIF
IF lcSafety = "OFF"
  set safety off
ENDIF
@ 5,2 say "Direct ref:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

clear all
return
 