*
*  PERF7.PRG
*  Individual REPLACEs vs Multiple REPLACEs vs GATHER MEMVAR 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL 
copy to PERF7 with cdx
use PERF7
go top 

start = seconds()
SCAN WHILE recno() < 50
  REPLACE ba_lname WITH "SPEEDIE"
  REPLACE ba_fname WITH "DREW"
  REPLACE ba_balance WITH 9.99
  REPLACE ba_state WITH "SD"
ENDSCAN
@ 1,2 say "ind REPLACEs:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFBAL 
copy to PERF7 with cdx
use PERF7
go top 

start = seconds()
SCAN WHILE recno() < 50
  REPLACE ba_lname WITH "SPEEDIE", ;
          ba_fname WITH "DREW", ;
          ba_balance WITH 9.99, ;
          ba_state WITH "SD"
ENDSCAN
@ 5,2 say "mult REPLACEs:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

close databases
use PERFBAL 
copy to PERF7 with cdx
use PERF7
go top 

start = seconds()
m.ba_lname   = "SPEEDIE"
m.ba_fname   = "DREW"
m.ba_balance = 9.99
m.ba_state   = "SD"
SCAN WHILE recno() < 50
  gather memvar
ENDSCAN
@ 9,2 say "GATHER MEMVAR:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,128,0,255,255,255)

clear all
erase perf7.dbf
erase perf7.cdx
return